Bug 138881 - Hardware acceleration not working for security/openssl
Hardware acceleration not working for security/openssl
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-16 16:30 UTC by lab
Modified: 2009-09-19 06:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lab 2009-09-16 16:30:04 UTC
Code using openssl-0.9.8k_3 from ports does NOT get accelerated after a call to:
    ENGINE_setup_bsd_cryptodev()

Fix: 

Problem seems to be with FreeBSD patch file /usr/ports/security/openssl/files/patch-eng_cryptodev.c.

This patch modifies the function get_dev_crypto() in the file eng_cryptodev.c to
close 'fd' open success.  Removing the close() from the FreeBSD patch allows openssl to be accelerated.
Comment 1 Mark Linimon freebsd_committer 2009-09-16 22:55:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Fix synopsis and assign.
Comment 2 dfilter freebsd_committer 2009-09-17 08:06:32 UTC
dinoex      2009-09-17 07:06:24 UTC

  FreeBSD ports repository

  Modified files:
    security/openssl     Makefile 
    security/openssl/files patch-eng_cryptodev.c 
  Log:
  - fix Hardware acceleration
  PR:             138881
  Submitted by:   Larry Baird
  Feature safe:   yes
  
  Revision  Changes    Path
  1.155     +1 -1      ports/security/openssl/Makefile
  1.2       +1 -1      ports/security/openssl/files/patch-eng_cryptodev.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2009-09-17 08:10:37 UTC
State Changed
From-To: open->closed

committed, thanks.
Comment 4 dfilter freebsd_committer 2009-09-19 06:21:29 UTC
dinoex      2009-09-19 05:21:20 UTC

  FreeBSD ports repository

  Modified files:
    security/openssl     Makefile 
    security/openssl/files patch-eng_cryptodev.c 
  Log:
  PR:             138881
  Obtained from:  openssl-1.0.0
  Feature safe:   yes
  
  Revision  Changes    Path
  1.156     +1 -1      ports/security/openssl/Makefile
  1.3       +2 -2      ports/security/openssl/files/patch-eng_cryptodev.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"